List machine pools
curl --request GET \
--url https://api.omnara.com/v1/orgs/{orgID}/machine-pools \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.omnara.com/v1/orgs/{orgID}/machine-pools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.omnara.com/v1/orgs/{orgID}/machine-pools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"org_id": "<string>",
"name": "<string>",
"management_kind": "tenant",
"description": "<string>",
"provider": "<string>",
"default_machine_cpu": 1073741824,
"default_machine_memory_mb": 1073741824,
"default_machine_env": {},
"default_machine_secret_env": {},
"default_machine_provider_options": {},
"default_cwd": "<string>",
"provider_config": {},
"runtime_protection_enabled": true,
"max_total_machines": 1073741823,
"max_total_cpu": 1073741823,
"max_total_memory_mb": 1073741823,
"min_machine_cpu": 1073741823,
"min_machine_memory_mb": 1073741823,
"max_machine_cpu": 1073741824,
"max_machine_memory_mb": 1073741824,
"delete_after_idle_minutes": 1073741826,
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"provider_auth_secret_id": "<string>",
"usage": {
"machines": 1,
"cpu": 1,
"memory_mb": 1
}
}
],
"next_cursor": "<string>"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "internal_error"
}Machine Pools
List machine pools
List machine pools with server-side filtering, sorting, and cursor pagination.
GET
/
orgs
/
{orgID}
/
machine-pools
List machine pools
Authorizations
bearerAuthbrowserSessionCookie
An opaque Omnara personal or organization bearer token.
Path Parameters
Pattern:
^org_[a-z2-7]{26}$Query Parameters
Case-insensitive glob over the list's logical name. * matches zero or more characters, ? matches one character, and \ escapes a wildcard.
Required string length:
1 - 200Sort order for named resources that expose created and modified timestamps.
Available options:
name, -name, -updated_at, updated_at, -created_at, created_at Maximum number of items to return in one page.
Required range:
1 <= x <= 100Opaque pagination cursor from a previous response's next_cursor. Omit for the first page.
Maximum string length:
1024⌘I